Installing on Linux Mint 19

Linux specific questions.
Pim Scheffers
Posts: 51
Joined: Jun 29, 2014 17:15

Installing on Linux Mint 19

Postby Pim Scheffers » Sep 14, 2019 7:19

Hello,

I am relatively new to Linux (and FBC on Linux) so I have the following question:

Can somebody help me install FBC on Linux mint 19?
I am currently unable to do so.

Somehow installing software on Linux feels like Windows-95 DLL hell multiplied by 666 :-)
I have been getting nothing but dependency upon dependency errors.
and even when i got it installed using some .deb package that somebody made (that also at first did not meet all the dependencies and was missing libtinfo6) FBC threw me some linkage errors for FBC internal library functions.

So this is a friendly cry for help.
Thanks.
Knatterton
Posts: 165
Joined: Apr 19, 2019 19:03

Re: Installing on Linux Mint 19

Postby Knatterton » Sep 14, 2019 8:07

Pim Scheffers wrote:Can somebody help me install FBC on Linux mint 19?

Seems you have problems with the dependencies. You can do in terminal:

Code: Select all

 sudo apt-get update
 sudo apt-get install gcc libncurses5-dev libffi-dev libgl1-mesa-dev libx11-dev libxext-dev
 sudo apt-get install libxrender-dev libxrandr-dev libxpm-dev geany kchmviewer


# prepare geany for kontextsensitive help
# Go to Edit, Preferences, Tools, Context Action. Set it to "kchmviewer --stoc %s <chm-path>"
# Go to Edit, Preferences, Keybindings, edit section, "Context Action", press "Change button", press F1 key.

If you don't want geany and contextsensitve help for it you can leave out these packages.

then do a normal installation if not already done:

Code: Select all

 tar -xvzf FreeBASIC-1.07.0-linux-x86.tar.gz
  cd FreeBASIC-1.07.0-linux-x86
  sudo ./install.sh -i


or

Code: Select all

tar -xvzf FreeBASIC-1.07.0-linux-x86_64.tar.gz
  cd FreeBASIC-1.07.0-linux-x86_64
  sudo ./install.sh -i


depending if 32 or 64 bit.
Pim Scheffers
Posts: 51
Joined: Jun 29, 2014 17:15

Re: Installing on Linux Mint 19

Postby Pim Scheffers » Sep 14, 2019 8:38

Ah... thank you,

This worked great.
This deserves a top pinned comment for new Linux users.
Knatterton
Posts: 165
Joined: Apr 19, 2019 19:03

Re: Installing on Linux Mint 19

Postby Knatterton » Sep 14, 2019 10:15

Yes, this is something one need to know.
badidea
Posts: 2118
Joined: May 24, 2007 22:10
Location: The Netherlands

Re: Installing on Linux Mint 19

Postby badidea » Sep 14, 2019 10:59

There are some hints in the readme.txt that comes with freebasic:

Code: Select all

  ...
  o Installation & Usage
    ...
    Linux (if FreeBASIC is not available through your package manager):
      Download and extract the latest FreeBASIC-x.xx.x-linux.tar.gz. Open a
      terminal and cd into the extracted FreeBASIC-x.xx.x-linux directory, and
      run "sudo ./install.sh -i" to copy the FB setup into /usr/local.
      To compile FB programs, please install the following packages (names may
      vary depending on your Linux distribution):
        Debian/Ubuntu:
          gcc libncurses5-dev libffi-dev libgl1-mesa-dev
          libx11-dev libxext-dev libxrender-dev libxrandr-dev libxpm-dev
        Fedora:
          gcc ncurses-devel libffi-devel mesa-libGL-devel
          libX11-devel libXext-devel libXrender-devel libXrandr-devel
          libXpm-devel
      If you want to use the 32bit version of FB on a 64bit system, it is
      necessary to have the gcc 32bit multilib support and 32bit versions
      of the libraries installed.
        Debian/Ubuntu:
          gcc-multilib lib32ncurses5-dev libx11-dev:i386 libxext-dev:i386
          libxrender-dev:i386 libxrandr-dev:i386 libxpm-dev:i386
    ...

Only apt-get is not mentioned.

And there is: https://freebasic.net/wiki/wikka.php?wa ... Installing
D.J.Peters
Posts: 8117
Joined: May 28, 2005 3:28
Contact:

Re: Installing on Linux Mint 19

Postby D.J.Peters » Sep 14, 2019 13:52

On Ubuntu I use at my office the X lib stuff are "x" (lower case "x" not "X") !
and "libABC-devel" is "libABC-dev"

Joshy
Knatterton
Posts: 165
Joined: Apr 19, 2019 19:03

Re: Installing on Linux Mint 19

Postby Knatterton » Sep 14, 2019 17:36

Pim Scheffers wrote:So this is a friendly cry for help.

Would be nice to read about your further experiences. So far geany fits all my needs. Poseidon works also here. But there are few other IDE's available like Codeblocks, Eclipse and others. With Wine i can even start most of the Win-programs like FBEdit and others. So it's enough to explore.
Pim Scheffers
Posts: 51
Joined: Jun 29, 2014 17:15

Re: Installing on Linux Mint 19

Postby Pim Scheffers » Sep 14, 2019 18:57

Geany is great indeed and fits all my needs as well.

I now wrote a small shell script to compile my test.bas program in the desktop environment.
The file compiled and runs fine (and fast... much faster then on Windows).

I wrote a fairly large program on windows that finds and isolates unwanted particles in X-Ray images and marks them.
I now plan to compile this program in Linux as a test.
Knatterton
Posts: 165
Joined: Apr 19, 2019 19:03

Re: Installing on Linux Mint 19

Postby Knatterton » Sep 14, 2019 19:11

Sounds interesting.

Return to “Linux”

Who is online

Users browsing this forum: No registered users and 4 guests